Summary: A parallel implementation of the bzip2 block-sorting file compressor
Name: pbzip2
Version: 1.1.13
Release: 2%{?dist}
License: BSD
Group: System Environment/Base
URL: https://launchpad.net/pbzip2
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://launchpad.net/pbzip2/1.1/%{version}/+download/%{name}-%{version}.tar.gz
Patch0: pbzip2-1.1.12-buildflags.patch
BuildRequires: bzip2-devel, gcc-c++
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
PBZIP2 is a parallel implementation of the bzip2 block-sorting file
compressor that uses pthreads and achieves near-linear speedup on
SMP machines. The output of this version is fully compatible with
bzip2 v1.0.2 or newer (ie: anything compressed with pbzip2 can be
decompressed with bzip2).

%prep
%setup -q
%patch0 -p1 -b .buildflags

%build
%{__make} CXXFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/pb*
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Apr 28 2020 Simon Matter <simon.matter@invoca.ch> 1.1.13-2
- add support for EL8

* Wed Jan 11 2017 Simon Matter <simon.matter@invoca.ch> 1.1.13-1
- upgrade to 1.1.13

* Sun Jul 19 2015 Simon Matter <simon.matter@invoca.ch> 1.1.12-1
- upgrade to 1.1.12

* Tue Dec 09 2014 Simon Matter <simon.matter@invoca.ch> 1.1.10-1
- upgrade to 1.1.10

* Mon Mar 17 2014 Simon Matter <simon.matter@invoca.ch> 1.1.8-1
- upgrade to 1.1.8

* Fri Nov 04 2011 Simon Matter <simon.matter@invoca.ch> 1.1.6-1
- upgrade to 1.1.6

* Tue Aug 02 2011 Simon Matter <simon.matter@invoca.ch> 1.1.5-2
- update patch to build on EL6

* Mon Jul 18 2011 Simon Matter <simon.matter@invoca.ch> 1.1.5-1
- upgrade to 1.1.5

* Thu Apr 28 2011 Simon Matter <simon.matter@invoca.ch> 1.1.4-1
- upgrade to 1.1.4

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.1.3-2
- mass rebuild

* Tue Mar 29 2011 Simon Matter <simon.matter@invoca.ch> 1.1.3-1
- upgrade to 1.1.3

* Sat Feb 19 2011 Simon Matter <simon.matter@invoca.ch> 1.1.2-1
- upgrade to 1.1.2

* Tue Apr 20 2010 Simon Matter <simon.matter@invoca.ch> 1.1.1-1
- upgrade to 1.1.1

* Mon Mar 15 2010 Simon Matter <simon.matter@invoca.ch> 1.1.0-1
- upgrade to 1.1.0

* Tue Jan 13 2009 Simon Matter <simon.matter@invoca.ch> 1.0.5-1
- upgrade to 1.0.5

* Tue Dec 23 2008 Simon Matter <simon.matter@invoca.ch> 1.0.4-1
- upgrade to 1.0.4

* Sat Nov 01 2008 Simon Matter <simon.matter@invoca.ch> 1.0.3-1
- initial package
